Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm using Synaptic for package management on Ubuntu 12, and am currently trying to get the newest version of SWIG - 2.0.9. My currently installed package swig in Synaptic is version 2.0.7-3ubuntu1. I would like to have the latest version 2.0.9, how can I get it?

share|improve this question
    
Related (but not a duplicate): Why can't I update applications without upgrading the whole OS? –  Eliah Kagan Dec 30 '12 at 5:42

1 Answer 1

up vote 5 down vote accepted

The best way to get the latest version is to get it directly from the authors' website.

It takes time and energy to turn software into nice Ubuntu packages. Sometimes it can be a while before it turns up in the Ubuntu repositories. You can try enabling the less-stable repositories, such as backports, but in this case, SWIG 2.0.9 is not in there. Sometimes there are non-official repositories, but I couldn't find one from a quick Google.

There are a few negatives to this. The software will usually not auto-self-update, unlike repository packages. The software has not been tested by Ubuntu devs for compatibility, so there might be a few glitches. Finally, sometimes dependencies are packed into the software itself, so the manual download might be larger than a repository version.

New versions of Ubuntu itself come out every six months. In each Ubuntu release, new versions of software that add new features are generally not provided. Generally speaking, within a single Ubuntu release, only security and serious stability bug fixes are rolled out. Upgrading to the next release upgrades software to the versions that were considered stable when that release came out. You can sometimes use backports and PPA's to get newer software within a single release, but generally speaking if you need the latest version of a program, you'll likely need to download its source code and build and install it yourself (see also this howto).

share|improve this answer
1  
+1 One other issue is that if the author does not have them packaged in .deb files, if you try to install from the Software Center again you can run into conflicts between the two installed versions. In this case you would need to remove the version installed via the authors website before installing from that Software Center. –  TrailRider Dec 30 '12 at 4:55
    
Good point. Generally, once I go to the author's website, I never look back, since I figure the repos will fail me again. –  Sparhawk Dec 30 '12 at 5:01

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.